## mythtv-dmo 32.0+fixes20220327.gitf69ce764b7

=== debian/changelog ===
mythtv-dmo (1:32.0+fixes20220327.gitf69ce764b7-dmo1~ab11+1) bullseye-ab-unstable; urgency=medium

  [ Stephan Sürken ]
  * [c6f1284] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [d78934f] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [8b01a52] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [f34acdb] control: b-d: Allow libfreetyp6-dev for buster.
  * [48ac7bc] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [77fa249] control: Add missing dh-python,dh-linktree to b-d (fixes
    FTBS).
  * [e2ec89f] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).

  [ Stephan Suerken ]
  * [cd587b4] debian/patches/a2_astra_scan_defaults: Make channel scan
    work ootb for Astra 19E.

  [ Stephan Sürken ]
  * [e55872d] debian/patches/series: Skip astra scan preset (for now)
    (hopefully no longer needed in 32).
  * [4d14422] debian/patches/series: Skip 05, 06: Both files are *MISSING*
    in current original Debian source package.
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=

 -- Stephan Sürken <absurd@olurdix.de>  Sat, 09 Apr 2022 15:48:39 +0200

mythtv-dmo (1:32.0+fixes20220327.gitf69ce764b7-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Mar 2022 08:57:25 +0200

mythtv-dmo (1:32.0+fixes20220320.git5432d11672-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Mar 2022 08:02:39 +0100

mythtv-dmo (1:32.0+fixes20220312.gitae60e8302f-dmo2) unstable; urgency=medium

  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Mar 2022 13:39:23 +0100

mythtv-dmo (1:32.0+fixes20220312.gitae60e8302f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Remove 06_QtEndian.patch, 05_atomic.diff and 07_ffmpeg-4.4-arm.patch
    patches, fixed upstream.
  * /usr/share/mythtv/metadata/Television/ttvdb4.py must be executable
    (Thanks to Korbinian Rosenegger for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Mar 2022 10:39:09 +0100

mythtv-dmo (1:32.0-dmo2) unstable; urgency=medium

  * Enable vulkan
  * New patch to fix atomic detection in included ffmpeg.
  * Apply upstream patch to revert "NuppelVideoRecorder.cpp: convert to
    QtEndian"

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Feb 2022 14:26:21 +0100

mythtv-dmo (1:32.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Feb 2022 16:20:04 +0100

mythtv-dmo (1:31.0+fixes20220121.git4f7953f6ee-dmo2) unstable; urgency=medium

  * Rebuild, armhf packages was build against raspbian packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jan 2022 10:56:12 +0100

mythtv-dmo (1:31.0+fixes20220121.git4f7953f6ee-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jan 2022 20:41:11 +0100

mythtv-dmo (1:31.0+fixes20220120.git23738a7074-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jan 2022 14:26:38 +0100

mythtv-dmo (1:31.0+fixes20211113.git25f1bb1d12-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 08:24:28 +0100

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo2) unstable; urgency=medium

  * python3-mythtv :
      Should depends on python3-dateutil (required by tvmaze).
      Remove duplicate python3-future in Depends
      Remove python3-requests already provided by python3-requests-cache
  * Build with libvpx7.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 13:49:58 +0200
