## mythtv-dmo 32.0+fixes20221220.git44f88ed468

=== debian/changelog ===
mythtv-dmo (1:32.0+fixes20221220.git44f88ed468-dmo1~ab11+1) bullseye-ab-unstable; urgency=medium

  * [83d9d81] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [d9ecea2] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [d3cbe73] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [502278c] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [a98f7d7] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * [ba270d5] debian/control (Build-Depends): bullseye: Downgrade to
    qtbase-abi-5-15-2
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=

 -- Stephan Sürken <absurd@olurdix.de>  Wed, 21 Dec 2022 19:06:16 +0100

mythtv-dmo (1:32.0+fixes20221220.git44f88ed468-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with qtbase-abi-5-15-7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 19:18:48 +0100

mythtv-dmo (1:32.0+fixes20221128.git1544bc2977-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Nov 2022 07:43:35 +0100

mythtv-dmo (1:32.0+fixes20221126.git2af1c2064e-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Nov 2022 09:23:37 +0100

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo4) unstable; urgency=medium

  * Add README.Debian to all packages.
  * Build with qtbase-abi-5-15-6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Oct 2022 08:04:21 +0200

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo3) unstable; urgency=medium

  * Really fix sysvinit-utils --> lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 10:23:04 +0200

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo2) unstable; urgency=medium

  * Don't Depends on sysvinit-utils but lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 09:14:05 +0200

mythtv-dmo (1:32.0+fixes20220917.gitb6ef30288f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Sep 2022 08:35:52 +0200

mythtv-dmo (1:32.0+fixes20220814.gite5c974e402-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Aug 2022 10:06:36 +0200

mythtv-dmo (1:32.0+fixes20220730.gitc9e66de14b-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Jul 2022 07:07:32 +0200

mythtv-dmo (1:32.0+fixes20220717.git365406638a-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Don't use system font. This overload fontconfig and make fonts selector
    very slow to open with hundreds of fonts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Jul 2022 15:15:11 +0200

mythtv-dmo (1:32.0+fixes20220626.git66ba83839a-dmo0) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Jun 2022 11:03:22 +0200

mythtv-dmo (1:32.0+fixes20220615.git7077a824d2-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with qtbase-abi-5-15-4

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jun 2022 07:22:18 +0200

mythtv-dmo (1:32.0+fixes20220528.git98c82d515d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 May 2022 07:58:15 +0200

mythtv-dmo (1:32.0+fixes20220514.git26079f815a-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 10:00:29 +0200

mythtv-dmo (1:32.0+fixes20220431.gitd80a8da3f0-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 10:51:27 +0200

mythtv-dmo (1:32.0+fixes20220430.gitea669e1f82-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Apr 2022 08:49:03 +0200

mythtv-dmo (1:32.0+fixes20220410.git9070e9e65b-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Apr 2022 14:05:48 +0200
