=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
-Build-Depends: debhelper-compat (= 13), dh-python, dh-linktree, dh-sequence-python3, libxext-dev,
- libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype6-dev | libfreetype-dev,
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
+ libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
  libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
  liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
  libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
@@ -16,7 +16,7 @@
  libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev, libxvidcore-dev,
  libpulse-dev, libtool-bin,  libvdpau-dev, qtbase5-dev, libsctp-dev, libdrm-dev,
  libcec-dev, uuid-dev, libva-dev [any-amd64 any-i386], libudev-dev,
- liblzma-dev, libqt5webkit5-dev, libffmpeg-nvenc-dev [amd64 i386], libegl-dev,
+ liblzma-dev, libqt5webkit5-dev, libffmpeg-nvenc-dev [amd64 i386 arm64], libegl-dev,
  libx264-dev, libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2),
  libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
@@ -25,9 +25,8 @@
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
  libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
  libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev, python3-setuptools,
- glslang-dev,
+ glslang-dev, qtbase-abi-5-15-2,
  dh-linktree,
- fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre, fonts-tiresias,
  libjs-jquery-ui
 
 # 0.28 is included since mythtv 32
@@ -298,3 +297,5 @@
 Package: mythtv-transcode
 Architecture: any
 Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
+Suggests: mythtv-backend, mytharchive
+Description: Utilities used for transcoding MythTV tasks
