## mythtv-dmo 32.0+fixes20230124.gitf2ce7e33aa

=== debian/changelog ===
mythtv-dmo (1:32.0+fixes20230124.gitf2ce7e33aa-dmo1~ab11+2) bullseye-ab-unstable; urgency=medium

  * [d03f9c2] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [ed26ad7] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [6fae29a] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [1feddc5] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [1abbf4e] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * [3dc2a35] debian/control (Build-Depends): bullseye: Downgrade to
    qtbase-abi-5-15-2
  * [14e14b8] debian/control (Depends): bullseye: Don't depend on
    sysvinit-utils >= 3.05 (not in bullseye)
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=

 -- Stephan Sürken <absurd@olurdix.de>  Tue, 31 Jan 2023 10:00:22 +0100

mythtv-dmo (1:32.0+fixes20230124.gitf2ce7e33aa-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Jan 2023 10:14:05 +0100

mythtv-dmo (1:32.0+fixes20230122.git35f323c8e6-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Jan 2023 10:18:12 +0100

mythtv-dmo (1:32.0+fixes20230107.gite677dd354f-dmo2) unstable; urgency=medium

  * Build with qtbase-abi-5-15-8
  * Add waylandpp-dev and qtbase5-private-dev to Build-Depends
  * Add aom support for all arches not only amd64

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Jan 2023 11:02:23 +0100

mythtv-dmo (1:32.0+fixes20230107.gite677dd354f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jan 2023 09:05:10 +0100
