=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
  libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
@@ -23,9 +23,9 @@
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
  libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
- libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
+ libaom-dev, python3-mysqldb, python3-lxml, python3-requests,
  libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev, python3-setuptools,
- glslang-dev, qtbase-abi-5-15-2,
+ glslang-dev, qtbase-abi-5-15-2, waylandpp-dev, qtbase5-private-dev,
  dh-linktree,
  libjs-jquery-ui
 
@@ -97,7 +97,7 @@
 Package: mythtv-backend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
 Replaces: mythtv-common (<= 0.27.0-dmo2)
 Recommends: mythtv-database, logrotate, xmltv-util
 Suggests: mythtv-frontend, mythweb
@@ -298,4 +298,3 @@
 Architecture: any
 Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mythtv-backend, mytharchive
-Description: Utilities used for transcoding MythTV tasks
