=== debian/rules ===
--- 
+++ 
@@ -83,6 +83,7 @@
 	rm debian/tmp/usr/share/mythtv/themes/Terra/watermarks/README.license
 # Not needed
 	rm debian/tmp/usr/bin/mythwikiscripts
+	find debian/tmp -name .npmignore -delete
 
 	find debian/tmp/usr/share -type f -exec chmod 0644 {} \;
 
@@ -107,7 +108,7 @@
 	rm -f debian/mythtv/usr/share/mythtv/setup.xml
 
 override_dh_installdocs:
-	dh_installdocs -XCOPYING README debian/README.Debian AUTHORS
+	dh_installdocs -XCOPYING -A README debian/README.Debian AUTHORS
 
 override_dh_strip:
 ifneq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
