=== debian/changelog ===
mythtv-dmo (1:33.1+fixes20240210.git512d723c83-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Feb 2024 11:02:42 +0100

mythtv-dmo (1:33.1+fixes20240104.git6b442547f2-dmo0+deb12u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jan 2024 14:44:37 +0100

mythtv-dmo (1:33.1+fixes20231004.git26e76a3949-dmo0+deb12u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Oct 2023 11:19:32 +0200

mythtv-dmo (1:33.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Feb 2023 02:02:57 +0100
