=== debian/control ===
--- 
+++ 
@@ -4,28 +4,30 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
  libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
  libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
- liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
+ liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev,
  libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
  libxxf86vm-dev, po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo,
  nasm [any-amd64 any-i386], libxrandr-dev, libfftw3-dev, libdbd-mysql-perl,
  libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev, libxvidcore-dev,
  libpulse-dev, libtool-bin,  libvdpau-dev, qtbase5-dev, libsctp-dev, libdrm-dev,
- libcec-dev, uuid-dev, libva-dev [any-amd64 any-i386], libudev-dev,
- liblzma-dev, libqt5webkit5-dev, libffmpeg-nvenc-dev [amd64 i386 arm64], libegl-dev,
- libx264-dev, libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2),
+ libcec-dev (>= 2:6~), uuid-dev, libva-dev [any-amd64 any-i386], libudev-dev,
+ liblzma-dev, libqt5webkit5-dev, nv-codec-headers [amd64 i386 arm64], libegl-dev,
+ libx264-dev (>= 3:0.159~), libvpx-dev (>= 1.11.0~), libass-dev (>= 0.10.2),
  libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
  libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
- libaom-dev, python3-mysqldb, python3-lxml, python3-requests,
+ libaom-dev, python3-mysqldb, python3-lxml, python3-requests, libxml2-utils,
  libxcb-shm0-dev, libsoundtouch-dev (>= 1.8.0~), libzip-dev, python3-setuptools,
- glslang-dev, qtbase-abi-5-15-2, waylandpp-dev, qtbase5-private-dev,
+ glslang-dev, qtbase-abi-5-15-8, waylandpp-dev, qtbase5-private-dev,
+ clang [amd64 arm64], libxcb-xfixes0-dev, libxcb-shm0-dev, libxcb-shape0-dev,
  dh-linktree,
  libjs-jquery-ui
 
@@ -97,7 +99,7 @@
 Package: mythtv-backend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, sysvinit-utils (>= 3.05-4~), mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
 Replaces: mythtv-common (<= 0.27.0-dmo2)
 Recommends: mythtv-database, logrotate, xmltv-util
 Suggests: mythtv-frontend, mythweb
@@ -140,14 +142,14 @@
  For a complete installation of all MythTV components, install the 'mythtv'
  package.
 
-Package: libmyth-32
+Package: libmyth-33
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-mysql, procps, iputils-ping
 Recommends: udisks2, ${shlibs:Recommends}
-Breaks: libmyth-0.27-0, libmyth-0.28-0, libmyth-30, libmyth-31
+Breaks: libmyth-0.27-0, libmyth-0.28-0, libmyth-30, libmyth-31, libmyth-32
 Description: Common library code for MythTV and add-on modules (runtime)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -162,7 +164,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libmyth-32 (= ${binary:Version}), ${misc:Depends}
+Depends: libmyth-33 (= ${binary:Version}), ${misc:Depends}
 Description: Common library code for MythTV and add-on modules (development)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -187,7 +189,6 @@
 Replaces: python-mythtv
 Provides: ${python3:Provides}
 Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests-cache, python3-simplejson, python3-dateutil
-Recommends: python3-aniso8601
 Description: Personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
@@ -213,7 +214,7 @@
  Special ffmpeg version for nuvexport. This binary is linked against the
  libmythav* libraries and not libraries in libavc* packages.
 
-Package: libmythavcodec58
+Package: libmythavcodec59
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -222,7 +223,7 @@
 Description: libavcodec package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavdevice58
+Package: libmythavdevice59
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -231,7 +232,7 @@
 Description: libavdevice package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavfilter7
+Package: libmythavfilter8
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -240,7 +241,7 @@
 Description: libavfilter package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavformat58
+Package: libmythavformat59
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -249,7 +250,7 @@
 Description: libavformat package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythavutil56
+Package: libmythavutil57
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -258,7 +259,7 @@
 Description: libavutil package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythpostproc55
+Package: libmythpostproc56
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -267,7 +268,7 @@
 Description: libpostproc package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythswscale5
+Package: libmythswscale6
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -276,7 +277,7 @@
 Description: libswscale package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythswresample3
+Package: libmythswresample4
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -285,7 +286,7 @@
 Description: swresample package for MythTV
  This package is only used by MythTV packages.
 
-Package: libmythexiv2-0.28-32
+Package: libmythexiv2-0.28-33
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -295,6 +296,3 @@
  This package is only used by MythTV packages.
 
 Package: mythtv-transcode
-Architecture: any
-Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
-Suggests: mythtv-backend, mytharchive
