=== debian/rules ===
--- 
+++ 
@@ -43,11 +43,11 @@
 endif
 
 # grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h
-# 32.20200101-1 as 32.0
+# 33.20220913-1 as 33.1
 
 MYTH_BINARY_VERSION = $(shell grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h | cut -d'"' -f2)
 
-ifneq "$(MYTH_BINARY_VERSION)" "32.20200101-1"
+ifneq "$(MYTH_BINARY_VERSION)" "33.20220913-1"
 	exit 1
 endif
 
@@ -60,7 +60,7 @@
 	./configure --compile-type=release --prefix=/usr --runprefix=/usr \
 	--enable-libx264 --enable-libmp3lame --enable-libxvid --enable-libx265 \
 	--enable-libvpx --enable-nonfree --enable-pic --enable-hdhomerun \
-	--arch=$(DEB_HOST_GNU_CPU) --disable-ffprobe --disable-ffserver \
+	--arch=$(DEB_HOST_GNU_CPU) --disable-ffprobe --enable-libdav1d \
 	--enable-libglslang --enable-vulkan \
 	--libdir-name=lib/$(DEB_HOST_MULTIARCH) $(CONFIGURE_OPTS)
 
@@ -142,8 +142,11 @@
 	dh_clean debian/libmythtv-recommends-dummy.so external/FFmpeg/mythffmpeg \
 	external/FFmpeg/mythffprobe config.fate config.log external/FFmpeg/doc/config.texi \
 	external/FFmpeg/libavdevice/indev_list.c external/FFmpeg/libavdevice/outdev_list.c \
-	external/FFmpeg/libavfilter/filter_list.c src .qmake.stash \
-	bindings/python/MythTV.egg-info/*
+	external/FFmpeg/libavfilter/filter_list.c src .qmake.stash bindings/python/MythTV.egg-info/* \
+	external/FFmpeg/ffbuild/bin2c_host.o external/FFmpeg/libavfilter/cuda/load_helper.o \
+	bindings/perl/Makefile.PL bindings/python/MythTV/services_api/mythversions.py \
+	bindings/python/MythTV/static.py bindings/python/setup.cfg external/FFmpeg/ffbuild/bin2c_host.d \
+	external/FFmpeg/libavfilter/cuda/load_helper.d settings2.pro
 
 	find -name moc -delete
 	find -name obj -delete
@@ -151,7 +154,7 @@
 override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
 	dh_shlibdeps
 
-	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-32.substvars
+	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-33.substvars
 
 debian/libmythtv-recommends-dummy.so:
 	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
